ceph: stick to luminous on Ubuntu (in proper way)

Previous attempt broke Debian builds.

Pinning Ceph packages instead of giving version during install.

Change-Id: I791e479ba265ba61ffd882da18f85cdbece67e55
changes/92/605592/3
Marcin Juszkiewicz 4 years ago committed by wangwei
parent 92da071d9d
commit 7826ba2984
  1. 5
      docker/base/apt_preferences.ubuntu
  2. 19
      docker/ceph/ceph-base/Dockerfile.j2

@ -2,3 +2,8 @@
Package: dh-python
Pin: version 2.20151103ubuntu1
Pin-Priority: 550
# We want Ceph/Luminous
Package: ceph* *cephfs* librbd* *rados* python-rbd librgw*
Pin: version 13.*
Pin-Priority: -1

@ -29,25 +29,12 @@ LABEL maintainer="{{ maintainer }}" name="{{ image_name }}" build-date="{{ build
{% set ceph_base_packages = [
'btrfs-tools',
'ceph=12.2.4-0ubuntu1',
'ceph-mgr=12.2.4-0ubuntu1',
'ceph-mon=12.2.4-0ubuntu1',
'ceph-osd=12.2.4-0ubuntu1',
'ceph-mds=12.2.4-0ubuntu1',
'ceph-base=12.2.4-0ubuntu1',
'ceph-common=12.2.4-0ubuntu1',
'librbd1=12.2.4-0ubuntu1',
'python-cephfs=12.2.4-0ubuntu1',
'python-rados=12.2.4-0ubuntu1',
'python-rbd=12.2.4-0ubuntu1',
'libcephfs2=12.2.4-0ubuntu1',
'librados2=12.2.4-0ubuntu1',
'libradosstriper1=12.2.4-0ubuntu1',
'ceph',
'ceph-mds',
'e2fsprogs',
'hdparm',
'parted',
'radosgw=12.2.4-0ubuntu1',
'librgw2=12.2.4-0ubuntu1',
'radosgw',
'xfsprogs'
] %}

Loading…
Cancel
Save